# Redk::CapnPanda

Captain Panda wants you to be more efficient.
Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/redk/capn_panda`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'redk-capn_panda'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install redk-capn_panda

## Usage


```bash
Redk::CapnPanda commands:
  capn_panda add                 # Add an issue to jira
  capn_panda config              # view/modify configuration
  capn_panda help [COMMAND]      # Describe available commands or one specific command
  capn_panda list                # list open issues assigned to you
  capn_panda prepare_commit_msg  # git hook to prepapre commit messages :D
  capn_panda prune               # delete issue branches that no longer have open issues
  capn_panda setup               # used to install git hook
  capn_panda start               # Start/Switch to a jira issue
  capn_panda version             # print version info


```

## capn_panda add
```bash
Usage:
  capn_panda add

Options:
  -a, [--auto-assign], [--no-auto-assign]  # auto assign yourself
                                           # Default: true

Add an issue to jira

```

## capn_panda config
```bash
Usage:
  capn_panda config

Options:
  -w, [--write], [--no-write]  # Write config
  -n, [--nuke], [--no-nuke]    # Nuke config

view/modify configuration

```

## capn_panda list
```bash
Usage:
  capn_panda list

Options:
  -r, [--raw], [--no-raw]  # Raw json

list open issues assigned to you

```

## capn_panda prepare
```bash
Usage:
  capn_panda prepare_commit_msg

git hook to prepapre commit messages :D

```

## capn_panda prune
```bash
Usage:
  capn_panda prune

delete issue branches that no longer have open issues

```

## capn_panda setup
```bash
Usage:
  capn_panda setup

used to install git hook

```

## capn_panda start
```bash
Usage:
  capn_panda start

Start/Switch to a jira issue

```

## capn_panda version
```bash
Usage:
  capn_panda version

print version info

```


## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `bin/console` for an interactive prompt that will allow you to experiment. Run `bundle exec redk-capn_panda` to use the code located in this directory, ignoring other installed copies of this gem.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release` to create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

1. Fork it ( https://github.com/redk/redk-capn_panda/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create a new Pull Request
