# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'redk/capn_panda/version'

Gem::Specification.new do |spec|
  spec.name          = "redk-capn_panda"
  spec.version       = Redk::CapnPanda::VERSION
  spec.authors       = ["defektive"]
  spec.email         = ["sirbradleyd@gmail.com"]

  spec.summary       = %q{Cap'n Panda - The powers of git, jira, gerrit, jenkins combined.}
  spec.description   = %q{Let the Cap'n hop skiip and jump, so you dont have to.}
  spec.homepage      = "http://xredk.github.io/capn-panda"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "git", "~> 1.2"
  spec.add_runtime_dependency "gerry", "~> 0.0.3"
  spec.add_runtime_dependency "jira-ruby", "~> 0.1"
  spec.add_runtime_dependency "ruby-keychain", "~> 0.2"
  spec.add_runtime_dependency "thor", "~> 0.19"
  spec.add_runtime_dependency "word_wrap", "~> 1.0"
  spec.add_runtime_dependency "colorize", "~> 0.7"

  spec.add_development_dependency "bundler", "~> 1.10"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "pry", "~> 0.10"
  spec.add_development_dependency "pry-remote", "~> 0.0"
end
